# Class DiscreteFilesClassLoader.ClassSourceMap

java.lang.Object
java.util.AbstractMap
java.util.HashMap
bsh.classpath.DiscreteFilesClassLoader.ClassSourceMap

All Implemented Interfaces:
  `Serializable, Cloneable, Map`

Enclosing class:
  `DiscreteFilesClassLoader`

public static class DiscreteFilesClassLoader.ClassSourceMap extends HashMap

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`ClassSourceMap()`

## Method Summary

Modifier and Type
Method
Description
`BshClassPath.ClassSource`
`get(String name)`
`void`
`put(String name, BshClassPath.ClassSource source)`

### Methods inherited from class HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class AbstractMap

`equals, hashCode, toString`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Map

`equals, hashCode`

## Constructor Details

### ClassSourceMap

public ClassSourceMap()

## Method Details

### put

public void put(String name, BshClassPath.ClassSource source)

### get

public BshClassPath.ClassSource get(String name)